"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StorageService = (function () {
    function StorageService(webStorageService) {
        this.webStorageService = webStorageService;
        this.prefix = 'Systelab';
        this.webStorageService.setup(this.getWebStorageConfig());
    }
    StorageService.prototype.usePrefix = function (prefix) {
        this.prefix = prefix;
    };
    StorageService.prototype.put = function (key, value) {
        this.webStorageService.setup(this.getWebStorageConfig())
            .set(key, value);
    };
    StorageService.prototype.get = function (key) {
        var value = this.webStorageService.setup(this.getWebStorageConfig())
            .get(key);
        if (value) {
            return value;
        }
        else {
            return undefined;
        }
    };
    StorageService.prototype.remove = function (key) {
        this.webStorageService.setup(this.getWebStorageConfig())
            .remove(key);
    };
    StorageService.prototype.removeStartsWith = function (startWith) {
        var keys = this.webStorageService.keys();
        keys.forEach(function (currentKey) {
            if (currentKey.startsWith(startWith) && typeof this.webStorageService.get(currentKey) !== 'function') {
                this.remove(currentKey);
            }
        }, this);
    };
    return StorageService;
}());
exports.StorageService = StorageService;
//# sourceMappingURL=storage.service.js.map